<template>
  <div class="tabs-list">
    <button
      v-for="item in items"
      :key="item.id"
      :class="[
        'tabs-list__item',
        { 'tabs-list__item--active': item.id === selectedItem.id }
      ]"
      v-on:click="toggle(item)"
    >
      {{ item.name }}
    </button>
  </div>
</template>

<script>
export default {
  data: function() {
    return {
      selectedItem: this.value
    }
  },
  props: {
    items: Array,
    value: Object
  },
  methods: {
    toggle: function(item) {
      this.selectedItem = item
      this.$emit('input', this.selectedItem)
    }
  }
}
</script>

<style lang="scss">
.tabs-list {
  border: 1px solid rgba(255, 255, 255, 0.4);
  border-radius: 8px;
  display: inline-block;
  overflow: hidden;

  &__item {
    background: none;
    color: $color-white;
    border: none;
    outline: none;
    padding: 4px 14px;
    font-size: 1.125rem;
    opacity: 0.4;
    cursor: pointer;

    &--active {
      background: rgba(255, 255, 255, 0.4);
      opacity: 1;
    }
  }
}
</style>
